## juman 4.0

=== perl/Makefile ===
# This Makefile is for the juman-perl extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.03 (Revision: 1.63) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT => q[segment Japanese sentences to morphemes with Juman]
#     AUTHOR => q[TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>]
#     NAME => q[juman-perl]
#     PREREQ_PM => {  }
#     VERSION_FROM => q[lib/Juman.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl5/5.8.0/i386-linux-thread-multi/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic -Wl,-rpath,/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE
DLEXT = so
DLSRC = dl_dlopen.xs
LD = gcc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.20-2.48smp
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = juman-perl
DISTNAME = juman-perl
NAME_SYM = juman_perl
VERSION = 0.4.2
VERSION_SYM = 0_4_2
XS_VERSION = 0.4.2
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INSTALLDIRS = site
PREFIX = /usr
SITEPREFIX = /usr
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/lib/perl5/5.8.0
INSTALLSITELIB = /usr/lib/perl5/site_perl/5.8.0
INSTALLVENDORLIB = /usr/lib/perl5/vendor_perl/5.8.0
INSTALLARCHLIB = /usr/lib/perl5/5.8.0/i386-linux-thread-multi
INSTALLSITEARCH = /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
INSTALLVENDORARCH = /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
INSTALLBIN = /usr/bin
INSTALLSITEBIN = /usr/bin
INSTALLVENDORBIN = /usr/bin
INSTALLSCRIPT = /usr/bin
PERL_LIB = /usr/lib/perl5/5.8.0
PERL_ARCHLIB = /usr/lib/perl5/5.8.0/i386-linux-thread-multi
SITELIBEXP = /usr/lib/perl5/site_perl/5.8.0
SITEARCHEXP = /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERL = $(PERL)
ABSPERLRUN = $(ABSPERL)
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULL_AR = /usr/bin/ar
PERL_CORE = 0
NOOP = $(SHELL) -c true
NOECHO = @

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/lib/perl5/5.8.0/ExtUtils/MakeMaker.pm
MM_VERSION = 6.03

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = juman-perl
BASEEXT = perl
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Juman.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = 
MAN3PODS = lib/Juman.pm \
	lib/Juman/Fork.pm \
	lib/Juman/Hinsi.pm \
	lib/Juman/Katuyou.pm \
	lib/Juman/MList.pm \
	lib/Juman/Morpheme.pm \
	lib/Juman/Process.pm \
	lib/Juman/Result.pm
INST_MAN1DIR = blib/man1
MAN1EXT = 1
INSTALLMAN1DIR = /usr/share/man/man1
INSTALLSITEMAN1DIR = /usr/share/man/man1
INSTALLVENDORMAN1DIR = /usr/share/man/man1
INST_MAN3DIR = blib/man3
MAN3EXT = 3pm
INSTALLMAN3DIR = /usr/share/man/man3
INSTALLSITEMAN3DIR = /usr/share/man/man3
INSTALLVENDORMAN3DIR = /usr/share/man/man3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = lib/Juman.pm \
	lib/Juman/Fork.pm \
	lib/Juman/Hinsi.pm \
	lib/Juman/Katuyou.pm \
	lib/Juman/MList.pm \
	lib/Juman/Morpheme.pm \
	lib/Juman/Process.pm \
	lib/Juman/Result.pm

PM_TO_BLIB = lib/Juman/Fork.pm \
	blib/lib/Juman/Fork.pm \
	lib/Juman.pm \
	blib/lib/Juman.pm \
	lib/Juman/Process.pm \
	blib/lib/Juman/Process.pm \
	lib/Juman/MList.pm \
	blib/lib/Juman/MList.pm \
	lib/Juman/Hinsi.pm \
	blib/lib/Juman/Hinsi.pm \
	lib/Juman/Morpheme.pm \
	blib/lib/Juman/Morpheme.pm \
	lib/Juman/Katuyou.pm \
	blib/lib/Juman/Katuyou.pm \
	lib/Juman/Result.pm \
	blib/lib/Juman/Result.pm


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN) -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = gcc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) "-I$(INST_LIB)" "-I$(PERL_LIB)" "-MExtUtils::Install" \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERLRUN) "-MExtUtils::Install" \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:
ZIPFLAGS = -r
TO_UNIX = @$(NOOP)
TAR = tar
POSTOP = @$(NOOP)
ZIP = zip
DIST_DEFAULT = tardist
CI = ci -u
SHAR = shar
COMPRESS = gzip --best
DIST_CP = best
PREOP = @$(NOOP)
TARFLAGS = cvf
DISTVNAME = $(DISTNAME)-$(VERSION)
SUFFIX = .gz
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \
-e 'next if -e $$m{$$_} && -M $$m{$$_} < -M $$_ && -M $$m{$$_} < -M "Makefile";' \
-e 'print "Manifying $$m{$$_}\n";' \
-e 'system(q[$(PERLRUN) $(POD2MAN_EXE) ].qq[$$_>$$m{$$_}])==0 or warn "Couldn\047t install $$m{$$_}\n";' \
-e 'chmod(oct($(PERM_RW)), $$m{$$_}) or warn "chmod $(PERM_RW) $$m{$$_}: $$!\n";}'

manifypods : pure_all lib/Juman/Fork.pm \
	lib/Juman.pm \
	lib/Juman/Process.pm \
	lib/Juman/MList.pm \
	lib/Juman/Hinsi.pm \
	lib/Juman/Morpheme.pm \
	lib/Juman/Katuyou.pm \
	lib/Juman/Result.pm
	@$(POD2MAN) \
	lib/Juman/Fork.pm \
	$(INST_MAN3DIR)/Juman::Fork.$(MAN3EXT) \
	lib/Juman.pm \
	$(INST_MAN3DIR)/Juman.$(MAN3EXT) \
	lib/Juman/Process.pm \
	$(INST_MAN3DIR)/Juman::Process.$(MAN3EXT) \
	lib/Juman/MList.pm \
	$(INST_MAN3DIR)/Juman::MList.$(MAN3EXT) \
	lib/Juman/Hinsi.pm \
	$(INST_MAN3DIR)/Juman::Hinsi.$(MAN3EXT) \
	lib/Juman/Morpheme.pm \
	$(INST_MAN3DIR)/Juman::Morpheme.$(MAN3EXT) \
	lib/Juman/Katuyou.pm \
	$(INST_MAN3DIR)/Juman::Katuyou.$(MAN3EXT) \
	lib/Juman/Result.pm \
	$(INST_MAN3DIR)/Juman::Result.$(MAN3EXT)

# --- MakeMaker processPL section:


# --- MakeMaker installbin section:

## juman 7.0

=== perl/Makefile ===
# This Makefile is for the juman-perl extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.42 (Revision: 41145) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT => q[segment Japanese sentences to morphemes with Juman]
#     AUTHOR => q[TSUCHIYA Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp>]
#     NAME => q[juman-perl]
#     PREREQ_PM => {  }
#     VERSION_FROM => q[lib/Juman.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /System/Library/Perl/5.10.0/darwin-thread-multi-2level/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc-4.2
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = gcc-4.2 -mmacosx-version-min=10.6
LDDLFLAGS = -arch x86_64 -arch i386 -arch ppc -bundle -undefined dynamic_lookup -L/usr/local/lib
LDFLAGS = -arch x86_64 -arch i386 -arch ppc -L/usr/local/lib
LIBC = /usr/lib/libc.dylib
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 10.0
RANLIB = /usr/bin/ar s
SITELIBEXP = /Library/Perl/5.10.0
SITEARCHEXP = /Library/Perl/5.10.0/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /Network/Library/Perl/5.10.0/darwin-thread-multi-2level
VENDORLIBEXP = /Network/Library/Perl/5.10.0


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = juman-perl
NAME_SYM = juman_perl
VERSION = 0.5.7
VERSION_MACRO = VERSION
VERSION_SYM = 0_5_7
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.5.7
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /
SITEPREFIX = /usr/local
VENDORPREFIX = /usr/local
INSTALLPRIVLIB = /Library/Perl/Updates/5.10.0
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /Library/Perl/5.10.0
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /Network/Library/Perl/5.10.0
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /Library/Perl/Updates/5.10.0/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /Library/Perl/5.10.0/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /Network/Library/Perl/5.10.0/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/local/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/local/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/local/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/local/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /System/Library/Perl/5.10.0
PERL_ARCHLIB = /System/Library/Perl/5.10.0/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /System/Library/Perl/5.10.0/darwin-thread-multi-2level/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /System/Library/Perl/5.10.0/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.42
MM_REVISION = 41145

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = juman-perl
BASEEXT = perl
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Juman.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/Juman.pm \
	lib/Juman/DB_File.pm \
	lib/Juman/Encode.pm \
	lib/Juman/Fork.pm \
	lib/Juman/GDBM_File.pm \
	lib/Juman/Hinsi.pm \
	lib/Juman/KULM/MList.pm \
	lib/Juman/KULM/Morpheme.pm \
	lib/Juman/Katuyou.pm \
	lib/Juman/MList.pm \
	lib/Juman/Morpheme.pm \
	lib/Juman/Process.pm \
	lib/Juman/Result.pm \
	lib/Juman/Sexp.pm \
	lib/Juman/Simple.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/Juman.pm \
	lib/Juman/DB_File.pm \
	lib/Juman/Encode.pm \
	lib/Juman/Fork.pm \
	lib/Juman/GDBM_File.pm \
	lib/Juman/Hinsi.pm \
	lib/Juman/KULM/MList.pm \
	lib/Juman/KULM/Morpheme.pm \
	lib/Juman/Katuyou.pm \
	lib/Juman/MList.pm \
	lib/Juman/Morpheme.pm \
	lib/Juman/Process.pm \
	lib/Juman/Result.pm \
	lib/Juman/Sexp.pm \
	lib/Juman/Simple.pm

PM_TO_BLIB = lib/Juman/KULM/Morpheme.pm \
	blib/lib/Juman/KULM/Morpheme.pm \
	lib/Juman/KULM/MList.pm \
	blib/lib/Juman/KULM/MList.pm \
	lib/Juman/GDBM_File.pm \
	blib/lib/Juman/GDBM_File.pm \
	lib/Juman/Simple.pm \
	blib/lib/Juman/Simple.pm \
	lib/Juman/Encode.pm \
	blib/lib/Juman/Encode.pm \
	lib/Juman/Fork.pm \
	blib/lib/Juman/Fork.pm \
	lib/Juman/Sexp.pm \
	blib/lib/Juman/Sexp.pm \
	lib/Juman/DB_File.pm \
	blib/lib/Juman/DB_File.pm \
	lib/Juman.pm \
	blib/lib/Juman.pm \
	lib/Juman/Process.pm \
	blib/lib/Juman/Process.pm \
	lib/Juman/Morpheme.pm \
	blib/lib/Juman/Morpheme.pm \
	lib/Juman/Hinsi.pm \
	blib/lib/Juman/Hinsi.pm \
	lib/Juman/MList.pm \
	blib/lib/Juman/MList.pm \
	lib/Juman/Result.pm \
	blib/lib/Juman/Result.pm \
	lib/Juman/Katuyou.pm \
	blib/lib/Juman/Katuyou.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');' --
DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = juman-perl
DISTVNAME = juman-perl-0.5.7


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext jumandb_convert
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) 755 $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) 755 $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) 755 $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) 755 $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.

=== debian/changelog ===
juman (7.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated the DH level from 7 to 9.
  * debian/control:
      - Added the variable ${misc:Depends} to juman-dic and libjuman-perl.
      - Bumped the Standard-Version to 3.9.5.
      - Changed libjuman-perl to section perl.
      - Removed the useless variable ${shlibs:Depends} from libjuman-dev.
  * debian/libjuman-dev.install: updated to use multiarch.
  * debian/libjuman4.install: updated to use multiarch.
  * debian/libjuman4.symbols: added symbols for libjuman4.
  * debian/rules: removed the trash and added the DEB_BUILD_MAINT_OPTIONS
      variable to improve the hardening.
  * debian/watch: added to explain about the missing homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 17 Sep 2014 20:51:44 -0300

juman (7.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS when building the architecture-dependent
    binary only. (Closes: #730038)
      - debian/juman-dic.install: created to install the
        juman-dic binary files.
      - debian/rules: removed lines that was moved to
        debian/juman-dic.install.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 05 Mar 2014 00:16:16 -0300

juman (7.0-3) unstable; urgency=low

  * Call dh with "--with autotools_dev" option (closes: #727909).
  * Build depends to autotools-dev.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 30 Oct 2013 22:28:48 +0900

juman (7.0-2) unstable; urgency=low

  * Add libjuman-perl.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 23 Jan 2012 22:23:49 +0900

juman (7.0-1) unstable; urgency=low

  * New upstream (closes: #656386).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 20 Jan 2012 12:13:19 +0900

juman (5.1-2.1) unstable; urgency=low

  * NMU
  * Fix fprintf format warning/error. Closes: #643415
  * Add ${misc:Depends} etc. for various binary packages
  * Switch to ${binary:Version}) to allow binNMUs in future
  * Updated Standards-Version

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 15 Dec 2011 17:45:16 +0000

juman (5.1-2) unstable; urgency=low

  * Fix. (closes: #378301).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 25 Aug 2006 01:20:10 +0900

juman (5.1-1) unstable; urgency=low

  * New upstream release (closes: #342525).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 14 Jan 2006 23:57:03 +0900

juman (4.0-7) unstable; urgency=low

  * debian/rules: Improve documents.
  * Removed the init script to start Juman server. (closes: #240680, #233553)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 03 Apr 2004 23:47:16 +0900

juman (4.0-6) unstable; urgency=low

  * debian/control: Improve documents.
  * debian/control, debian/juman.templates, debian/po/POTFILES.in,
    debian/po/templates.pot: Switch to gettext-based debconf templates.
    (closes: #233553)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 19 Feb 2004 03:26:21 +0900

juman (4.0-5) unstable; urgency=low

  * debian/control: `libjuman4' package conflicts to `libjuman' package,
    that is an obsolete package.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 11 Feb 2004 11:30:02 +0900

juman (4.0-4) unstable; urgency=low

  * debian/control: `libjuman' package is renamed to `libjuman4'.
  * debian/rules: Now, juman depends on libjuman4. (closes: #226393)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-3) unstable; urgency=low

  * Use cdbs instead of dbs.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-2) unstable; urgency=low

  * debian/copyright: Fix lintian warning.
  * debian/control, debian/rules, debian/libjuman-dev.files,
    debian/libjuman.files: In order to fix lintian error, split library
    files and header files from `juman' package to `libjuman' package and
    `libjuman-dev' package.
  * debian/README.Debian, debian/control: Fix language bug. (closes: #215761)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-1) unstable; urgency=low

  * Official release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 20 Aug 2003 14:53:54 +0900

juman (4.0-0.3) unstable; urgency=low

  * debian/rules: Move text files of dictionaries.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 16 Aug 2003 19:15:54 +0900

juman (4.0-0.2) unstable; urgency=low

  * debian/juman.postrm: Remove /etc/juman_server_to_be_run when this
    package is purged.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 13 Aug 2003 22:30:55 +0900

juman (4.0-0.1) unstable; urgency=low

  * New upstream release.
  * Repackaging.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 13 Aug 2003 09:03:35 +0900

juman (3.62+cvs20010528-3) unstable; urgency=low

  * debian/patches/030_client_fflush.diff: Flush file handles always.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 08 Dec 2002 00:53:43 +0900

juman (3.62+cvs20010528-2) unstable; urgency=low

  * debian/patches/002_server_pidfile.diff: New patch to create pid file
    and to change uid and gid for security.
  * debian/juman.init: New script to start Juman server.
  * debian/conffiles: Removed.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 05 Oct 2002 14:28:56 +0900

juman (3.62+cvs20010528-1) unstable; urgency=low

  * Initial Release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 16 Jun 2002 01:22:22 +0900

=== debian/control ===
Source: juman
Section: misc
Priority: optional
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Build-Depends: debhelper (>= 9), quilt, autotools-dev
Standards-Version: 3.9.5

Package: juman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: juman-dic
Description: Japanese morphological analysis system
 Juman is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).

Package: juman-dic
Architecture: all
Depends: ${misc:Depends}
Description: Juman dictionary in text format
 This package provides Juman dictionary written in text format.

Package: libjuman-dev
Section: libdevel
Architecture: any
Depends: libjuman4 (= ${binary:Version}), ${misc:Depends}
Description: Header files of JUMAN
 This package provides header files which are necessary to development
 programs using runtime libraries of Juman, that is a Japanese
 morphological analysis system.

Package: libjuman4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libjuman
Replaces: libjuman
Provides: libjuman
Description: Library of JUMAN
 This package provides runtime libraries of Juman, that is a Japanese
 morphological analysis system.

Package: libjuman-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, juman
Description: Perl binding of JUMAN
 This package provides Perl binding of Juman, that is a Japanese
 morphological analysis system.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifndef PERL
PERL = /usr/bin/perl
endif
PERL_OPTIMIZE = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
PERL_OPTIMIZE += -g
endif

%:
	dh $@ --with quilt --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib --datadir=/usr/lib
	cd perl && $(PERL) Makefile.PL INSTALLDIRS=vendor

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C perl OPTIMIZE="$(PERL_OPTIMIZE)" DICDIR=`pwd`/dic

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/lib/juman/doc
	dh_link -pjuman usr/share/doc/juman usr/lib/juman/doc
	for d in dic autodic wikipediadic ; do \
	  for f in $(dicprefix)/$${d}/* ; do \
	    dh_link -pjuman-dic \
		`echo $$f|sed s,debian/juman-dic/,,` \
		`echo $$f|sed s,debian/juman-dic/usr/share/,usr/lib/,` ;\
	  done ;\
	done
	$(MAKE) -C perl install PREFIX=`pwd`/debian/libjuman-perl/usr DICDIR=`pwd`/dic

override_dh_auto_clean:
	dh_auto_clean
	-$(MAKE) -C perl realclean
	-rm -f dic/*.int dic/jumandic.* dic/JUMAN.connect
	-rm -f autodic/*.int autodic/jumandic.*
	-rm -f wikipediadic/*.int wikipediadic/jumandic.* 

# Do no tests.
override_dh_auto_test:

=== debian/watch ===
# The juman homepage no longer exist.
